{% sw_extends '@Storefront/storefront/layout/navigation/navigation.html.twig' %}

{% block layout_main_navigation_navbar %}
	{% block layout_main_navigation_menu %}
		<nav class="nav main-navigation-menu justify-content-center"
			itemscope="itemscope"
			itemtype="http://schema.org/SiteNavigationElement">
			{% block layout_main_navigation_menu_home %}
				<a class="nav-link main-navigation-link{% if controllerAction is same as('home') %} active{% endif %} home-link"
					href="{{ path('frontend.home.page') }}"
					itemprop="url"
					title="{{ "general.homeLink"|trans|striptags }}">
					<div class="main-navigation-link-text">
						<span itemprop="name">{{ "general.homeLink"|trans|sw_sanitize }}</span>
					</div>
				</a>
			{% endblock %}
			
			{% block layout_main_navigation_menu_items %}
				{% for treeItem in page.header.navigation.tree %}
					{% set category = treeItem.category %}
					{% set name = category.translated.name %}
					{% set categorId = category.id %}
					
					{% block layout_main_navigation_menu_item %}
						{% if category.type == 'folder' %}
							<div class="nav-link main-navigation-link"
								{% if treeItem.children|length > 0 %}
									data-flyout-menu-trigger="{{ categorId }}"
								{% endif %}
									title="{{ name }}">
								<div class="main-navigation-link-text">
									<span itemprop="name">{{ name }}</span>
								</div>
							</div>
						{% else %}
							<a class="nav-link main-navigation-link{% if categorId is same as(page.header.navigation.active.id) %} active{% endif %}"
							   href="{% if category.externalLink %}{{ category.externalLink }}{% else %}{{ seoUrl('frontend.navigation.page', { navigationId: categorId }) }}{% endif %}"
							   itemprop="url"
							   {% if treeItem.children|length > 0 %}
							       data-flyout-menu-trigger="{{ categorId }}"
							   {% endif %}
							   title="{{ name }}">
							   <div class="main-navigation-link-text">
							       <span itemprop="name">{{ name }}</span>
							   </div>
							</a>
						{% endif %}
					{% endblock %}
				{% endfor %}
			{% endblock %}
		</nav>
	{% endblock %}
{% endblock %}